Index: admin/js/color-picker.js
===================================================================
--- admin/js/color-picker.js	(revision 2566)
+++ admin/js/color-picker.js	(revision 3706)
@@ -1,83 +1,89 @@
+/*global $, jQuery */
+'use strict';
+
 $(function() {
-	$('.colorpicker').colorPicker();
+  $('.colorpicker').colorPicker();
 });
 
 jQuery.fn.colorPicker = function() {
-	$(this).each(function() {
-		var colbox, f;
-		var colbox = $('#jquery-colorpicker')[0];
+  $(this).each(function() {
+    var colbox, f;
+    colbox = $('#jquery-colorpicker')[0];
 
-		if (colbox == undefined) {
-			colbox = document.createElement('div');
-			colbox.id = 'jquery-colorpicker';
-			colbox.linkedto = null;
+    if (colbox == undefined) {
+      colbox = document.createElement('div');
+      colbox.id = 'jquery-colorpicker';
+      colbox.linkedto = null;
 
-			$(colbox).addClass('color-color-picker');
-			$(colbox).css({display: 'none', position: 'absolute'});
-			$('body').append(colbox);
-		}
-		f = $.farbtastic(colbox);
-		f.linkTo(this);
+      $(colbox).addClass('color-color-picker');
+      $(colbox).css({
+        display: 'none',
+        position: 'absolute'
+      });
+      $('body').append(colbox);
+    }
+    f = $.farbtastic(colbox);
+    f.linkTo(this);
 
-		var handler = $(document.createElement('img'));
-		handler.attr('src','images/picker.png');
-		handler.attr('alt','');
+    var handler = $(document.createElement('img'));
+    handler.attr('src', 'images/picker.png');
+    handler.attr('alt', '');
 
-		var span = $(document.createElement('span'));
+    var span = $(document.createElement('span'));
 
-		if ($(this).css('position') == 'absolute') {
-			span.css('position','absolute');
-			span.css('top',$(this).css('top'));
-			span.css('left',$(this).css('left'));
-			$(this).css('position','static');
-		} else {
-			span.css('position','relative');
-		}
-		span.css('display','inline-block');
+    if ($(this).css('position') == 'absolute') {
+      span.css('position', 'absolute');
+      span.css('top', $(this).css('top'));
+      span.css('left', $(this).css('left'));
+      $(this).css('position', 'static');
+    } else {
+      span.css('position', 'relative');
+    }
+    span.css('display', 'inline-block');
+    span.css('padding', '0 5px 0 0');
+    $(this).wrap(span);
+    $(this).after(handler);
 
-		/*ligne supprimée car elle ne fait pas le calcul
-		du width de l'input et ça fout la merde */
-		//span.css('width',($(this).width()+12)+'px');
-		span.css('padding','0 5px 0 0');
-		$(this).wrap(span);
-		$(this).after(handler);
+    handler.css({
+      position: 'absolute',
+      top: 3,
+    });
 
-		var offset = $(this).offset();
-		handler.css({
-			position: 'absolute',
-			top: 3,
-			/* la largeur du span n'étant pas calculée
-			right: 0 crée un affichage pourri. On vire. */
-			//right: 0
-		});
+    handler.css({
+      cursor: 'default'
+    });
 
-		handler.css({cursor: 'default'});
+    var This = this;
+    handler.click(function() {
+      if ($(colbox).css('display') == 'none' || this != colbox.linkedto) {
+        f.linkTo(This);
+        This.focus();
+        var offset = $(This).offset();
+        $(colbox).css({
+          zIndex: 1000,
+          top: offset.top + $(this).height() + 5,
+          left: offset.left
+        });
+        if (document.all) {
+          $('select').hide();
+        }
+        $(colbox).show();
+        colbox.linkedto = this;
 
-		var This = this;
-		handler.click(function() {
-			if ($(colbox).css('display') == 'none' || this != colbox.linkedto) {
-				f.linkTo(This);
-				This.focus();
-				var offset = $(This).offset();
-				$(colbox).css({
-					zIndex: 1000,
-					top: offset.top + $(this).height() + 5,
-					left: offset.left
-				});
-				if (document.all) { $('select').hide(); }
-				$(colbox).show();
-				colbox.linkedto = this;
-
-			} else {
-				$(colbox).hide();
-				if (document.all) { $('select').show(); }
-				colbox.linkedto = null;
-			}
-		});
-		$(this).blur(function() {
-			$(colbox).hide();
-			if (document.all) { $('select').show(); }
-		});
-	});
-	return this;
+      } else {
+        $(colbox).hide();
+        if (document.all) {
+          $('select').show();
+        }
+        colbox.linkedto = null;
+      }
+    });
+    $(this).blur(function() {
+      $(colbox).hide();
+      if (document.all) {
+        $('select').show();
+      }
+    });
+  });
+  return this;
 };
Index: admin/js/common.js
===================================================================
--- admin/js/common.js	(revision 3701)
+++ admin/js/common.js	(revision 3706)
@@ -1,2 +1,6 @@
+/*global $, jQuery, dotclear_htmlFontSize */
+/*exported chainHandler */
+'use strict';
+
 /* Set some CSS variables here
 -------------------------------------------------------- */
@@ -14,5 +18,5 @@
     };
   })(handlerName in obj ? obj[handlerName] : null);
-};
+}
 /* jQuery extensions
 -------------------------------------------------------- */
@@ -62,5 +66,5 @@
     return true;
   });
-}
+};
 jQuery.fn.toggleWithLegend = function(target, s) {
   var defaults = {
@@ -141,5 +145,5 @@
             'value': 1,
             xd_check: dotclear.nonce
-          }, function(data) {});
+          }, function() {});
         } else {
           jQuery.post('services.php', {
@@ -148,5 +152,5 @@
             'value': 0,
             xd_check: dotclear.nonce
-          }, function(data) {});
+          }, function() {});
         }
         jQuery.cookie(p.user_pref, '', {
@@ -162,5 +166,4 @@
 };
 (function($) {
-  'use strict';
   $.expandContent = function(opts) {
     var defaults = {};
@@ -175,5 +178,5 @@
       singleExpander(this);
     });
-  }
+  };
   var singleExpander = function singleExpander(line) {
     $('<input type="image" src="' + dotclear.img_plus_src + '" alt="' + dotclear.img_plus_alt + '"/>').click(function(e) {
@@ -211,5 +214,5 @@
     }
     return action;
-  }
+  };
 })(jQuery);
 jQuery.fn.helpViewer = function() {
@@ -281,12 +284,12 @@
   // listen for scroll
   var peInPage = $('#help-button').offset().top;
-  $('#help-button').addClass("floatable");
+  $('#help-button').addClass('floatable');
   var peInFloat = $('#help-button').offset().top - $(window).scrollTop();
-  $('#help-button').removeClass("floatable");
+  $('#help-button').removeClass('floatable');
   $(window).scroll(function() {
     if ($(window).scrollTop() >= peInPage - peInFloat) {
-      $('#help-button').addClass("floatable");
-    } else {
-      $('#help-button').removeClass("floatable");
+      $('#help-button').addClass('floatable');
+    } else {
+      $('#help-button').removeClass('floatable');
     }
   });
@@ -313,6 +316,6 @@
     }
     // Set initial state
-    submitButt.attr("disabled", !checkboxes.is(":checked"));
-    if (!checkboxes.is(":checked")) {
+    submitButt.attr('disabled', !checkboxes.is(':checked'));
+    if (!checkboxes.is(':checked')) {
       submitButt.addClass('disabled');
     } else {
@@ -321,6 +324,6 @@
     checkboxes.click(function() {
       // Update target state
-      submitButt.attr("disabled", !checkboxes.is(":checked"));
-      if (!checkboxes.is(":checked")) {
+      submitButt.attr('disabled', !checkboxes.is(':checked'));
+      if (!checkboxes.is(':checked')) {
         submitButt.addClass('disabled');
       } else {
@@ -476,5 +479,5 @@
     legend_click: true,
     speed: 100
-  }
+  };
   $('#blog-menu h3:first').toggleWithLegend($('#blog-menu ul:first'), $.extend({
     user_pref: 'dc_blog_menu'
@@ -503,8 +506,8 @@
   // Password
   $('form:has(input[type=password][name=your_pwd])').submit(function() {
-    var e = this.elements['your_pwd'];
+    var e = this.elements.your_pwd;
     if (e.value == '') {
       $(e).addClass('missing').focusout(function() {
-        $(this).removeClass('missing')
+        $(this).removeClass('missing');
       });
       e.focus();
@@ -526,5 +529,5 @@
       this.title = this.innerText;
     }
-  })
+  });
   // Advanced users
   if (dotclear.hideMoreInfo) {
Index: admin/js/confirm-close.js
===================================================================
--- admin/js/confirm-close.js	(revision 3449)
+++ admin/js/confirm-close.js	(revision 3706)
@@ -1,144 +1,146 @@
+/*global chainHandler */
+'use strict';
+
 function confirmClose() {
-
-	if (arguments.length > 0) {
-		for (var i = 0; i < arguments.length; i++) {
-			this.forms_id.push(arguments[i]);
-		}
-	}
-};
+  if (arguments.length > 0) {
+    for (var i = 0; i < arguments.length; i++) {
+      this.forms_id.push(arguments[i]);
+    }
+  }
+}
 
 confirmClose.prototype = {
-	prompt: 'You have unsaved changes.',
-	forms_id: new Array(),
-	forms: new Array(),
-	formSubmit: false,
+  prompt: 'You have unsaved changes.',
+  forms_id: [],
+  forms: [],
+  formSubmit: false,
 
-	getCurrentForms: function() {
-		// Store current form's element's values
+  getCurrentForms: function() {
+    // Store current form's element's values
 
-		var formsInPage = this.getForms();
-		var f, e;
-		var This = this;
-		this.forms = new Array();
-		for (var i = 0; i < formsInPage.length; i++) {
-			f = formsInPage[i];
-			var tmpForm = new Array();
-			for (var j = 0; j < f.elements.length; j++) {
-				e = this.getFormElementValue(f[j]);
-				if (e != undefined) {
-					tmpForm.push(e);
-				}
-			}
-			this.forms.push(tmpForm);
+    var formsInPage = this.getForms();
+    var f, e;
+    var This = this;
+    this.forms = [];
+    for (var i = 0; i < formsInPage.length; i++) {
+      f = formsInPage[i];
+      var tmpForm = [];
+      for (var j = 0; j < f.elements.length; j++) {
+        e = this.getFormElementValue(f[j]);
+        if (e != undefined) {
+          tmpForm.push(e);
+        }
+      }
+      this.forms.push(tmpForm);
 
-			chainHandler(f, 'onsubmit', function() {
-				This.formSubmit = true;
-			});
-		}
-	},
+      chainHandler(f, 'onsubmit', function() {
+        This.formSubmit = true;
+      });
+    }
+  },
 
-	compareForms: function() {
-		// Compare current form's element's values to their original values
-		// Return false if any difference, else true
+  compareForms: function() {
+    // Compare current form's element's values to their original values
+    // Return false if any difference, else true
 
-		if (this.forms.length == 0) {
-			return true;
-		}
+    if (this.forms.length == 0) {
+      return true;
+    }
 
-		var formsInPage = this.getForms();
-		var f, e;
-		for (var i = 0; i < formsInPage.length; i++) {
-			f = formsInPage[i];
-			var tmpForm = new Array();
-			for (var j = 0; j < f.elements.length; j++) {
-				e = this.getFormElementValue(f[j]);
-				if (e != undefined) {
-					tmpForm.push(e);
-				}
-			}
-			for (var j = 0; j < this.forms[i].length; j++) {
-				if (this.forms[i][j] != tmpForm[j]) {
-					return false;
-				}
-			}
-		}
+    var formsInPage = this.getForms();
+    var f, e, i, j;
+    for (i = 0; i < formsInPage.length; i++) {
+      f = formsInPage[i];
+      var tmpForm = [];
+      for (j = 0; j < f.elements.length; j++) {
+        e = this.getFormElementValue(f[j]);
+        if (e != undefined) {
+          tmpForm.push(e);
+        }
+      }
+      for (j = 0; j < this.forms[i].length; j++) {
+        if (this.forms[i][j] != tmpForm[j]) {
+          return false;
+        }
+      }
+    }
 
-		return true;
-	},
+    return true;
+  },
 
-	getForms: function() {
-		// Get current list of forms as HTMLCollection(s)
+  getForms: function() {
+    // Get current list of forms as HTMLCollection(s)
 
-		if (!document.getElementsByTagName || !document.getElementById) {
-			return new Array();
-		}
+    if (!document.getElementsByTagName || !document.getElementById) {
+      return [];
+    }
 
-		if (this.forms_id.length > 0) {
-			var res = new Array();
-			var f;
-			for (var i = 0; i < this.forms_id.length; i++) {
-				f = document.getElementById(this.forms_id[i]);
-				if (f != undefined) {
-					res.push(f);
-				}
-			}
-			return res;
-		} else {
-			return document.getElementsByTagName('form');
-		}
+    if (this.forms_id.length > 0) {
+      var res = [];
+      var f;
+      for (var i = 0; i < this.forms_id.length; i++) {
+        f = document.getElementById(this.forms_id[i]);
+        if (f != undefined) {
+          res.push(f);
+        }
+      }
+      return res;
+    } else {
+      return document.getElementsByTagName('form');
+    }
 
-		return new Array();
-	},
+    return [];
+  },
 
-	getFormElementValue: function(e) {
-		// Return current value of an form element
+  getFormElementValue: function(e) {
+    // Return current value of an form element
 
-		if (e == undefined) {
-			// Unknown object
-			return undefined;
-		}
-		if (e.type != undefined && e.type == 'button') {
-			// Ignore button element
-			return undefined;
-		}
-		if (e.classList.contains('meta-helper') || e.classList.contains('checkbox-helper')) {
-			// Ignore some application helper element
-			return undefined;
-		}
-		if (e.type != undefined && e.type == 'radio') {
-			// Return actual radio button value if selected, else null
-			return this.getFormRadioValue(e);
-		} else if (e.type != undefined && e.type == 'checkbox') {
-			// Return actual checkbox button value if checked, else null
-			return this.getFormCheckValue(e);
-		} else if (e.type != undefined && e.type == 'password') {
-			// Ignore password element
-			return null;
-		} else if (e.value != undefined) {
-			// Return element value if not undefined
-			return e.value;
-		} else {
-			// Every other case, return null
-			return null;
-		}
-	},
+    if (e == undefined) {
+      // Unknown object
+      return undefined;
+    }
+    if (e.type != undefined && e.type == 'button') {
+      // Ignore button element
+      return undefined;
+    }
+    if (e.classList.contains('meta-helper') || e.classList.contains('checkbox-helper')) {
+      // Ignore some application helper element
+      return undefined;
+    }
+    if (e.type != undefined && e.type == 'radio') {
+      // Return actual radio button value if selected, else null
+      return this.getFormRadioValue(e);
+    } else if (e.type != undefined && e.type == 'checkbox') {
+      // Return actual checkbox button value if checked, else null
+      return this.getFormCheckValue(e);
+    } else if (e.type != undefined && e.type == 'password') {
+      // Ignore password element
+      return null;
+    } else if (e.value != undefined) {
+      // Return element value if not undefined
+      return e.value;
+    } else {
+      // Every other case, return null
+      return null;
+    }
+  },
 
-	getFormCheckValue: function(e) {
-		if (e.checked) {
-			return e.value;
-		}
-		return null;
-	},
+  getFormCheckValue: function(e) {
+    if (e.checked) {
+      return e.value;
+    }
+    return null;
+  },
 
-	getFormRadioValue: function(e) {
-		for (var i = 0; i < e.length; i++) {
-			if (e[i].checked) {
-				return e[i].value;
-			} else {
-				return null;
-			}
-		}
-		return null;
-	}
+  getFormRadioValue: function(e) {
+    for (var i = 0; i < e.length; i++) {
+      if (e[i].checked) {
+        return e[i].value;
+      } else {
+        return null;
+      }
+    }
+    return null;
+  }
 };
 
@@ -146,16 +148,16 @@
 
 chainHandler(window, 'onload', function() {
-	confirmClosePage.getCurrentForms();
+  confirmClosePage.getCurrentForms();
 });
 
 chainHandler(window, 'onbeforeunload', function(event_) {
-	if (event_ == undefined && window.event) {
-		event_ = window.event;
-	}
+  if (event_ == undefined && window.event) {
+    event_ = window.event;
+  }
 
-	if (!confirmClosePage.formSubmit && !confirmClosePage.compareForms()) {
-		event_.returnValue = confirmClosePage.prompt;
-		return confirmClosePage.prompt;
-	}
-	return false;
+  if (!confirmClosePage.formSubmit && !confirmClosePage.compareForms()) {
+    event_.returnValue = confirmClosePage.prompt;
+    return confirmClosePage.prompt;
+  }
+  return false;
 });
